> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leanpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import a payment



## OpenAPI

````yaml https://public.leanpay.fr/openapi/leanpay_api_documentation.swagger.yaml post /payments
openapi: 3.1.1
info:
  version: 1.0.0
  title: LeanPay Api documentation
  contact:
    email: integration@leanpay.fr
servers:
  - url: https://api.leanpay.fr/v1/public
security: []
tags:
  - name: clients
    description: Routes related to clients
  - name: invoices
    description: Routes related to invoices
  - name: credit-notes
    description: Routes related to credit notes
  - name: misc-operations
    description: Routes related to misc operations
  - name: contacts
    description: Routes related to client contacts
  - name: addresses
    description: Routes related to client addresses
  - name: payments
    description: Routes related to invoice payments
  - name: portal-payments
    description: >-
      Routes related to portal payments (online payments made by debtors from
      the customer portal)
  - name: paybacks
    description: Routes related to credit note paybacks
  - name: links
    description: Routes related to invoice/credit note links
  - name: comments
    description: Routes related to comments
  - name: deleted-elements
    description: Routes related to deleted elements
  - name: client-properties
    description: Routes related to client properties
paths:
  /payments:
    post:
      tags:
        - payments
      summary: Import a payment
      requestBody:
        description: Payment object to import
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentCreate'
      responses:
        '200':
          description: Returns the imported payment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentPostResponse'
        '400':
          description: Response sent when the payment object provided is invalid
        '404':
          description: Invoice not found
        '409':
          description: Payment externalId already exist
      security:
        - authorization: []
components:
  schemas:
    PaymentCreate:
      type: object
      properties:
        invoiceId:
          type: string
          format: uuid
        amount:
          type: integer
          minimum: 0
        date:
          type: string
          format: date
        externalId:
          type:
            - string
            - 'null'
          maxLength: 80
      required:
        - invoiceId
        - amount
        - date
    PaymentPostResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenantId:
          type: string
          format: uuid
        clientId:
          type: string
          format: uuid
        invoiceId:
          type: string
          format: uuid
        amount:
          type: integer
        date:
          type: string
          format: date
        externalId:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    authorization:
      type: apiKey
      name: Authorization
      in: header

````